If your server is unavailable or returns a non-2xx response, Nexrender retries delivery up to 3 times with exponential backoff. To maximise reliability:
Respond with 200 OK immediately and process the payload asynchronously
Keep response time under 2 seconds to avoid timeout-triggered retries
Log all incoming webhook payloads for auditability
Current job status (queued, render:dorender, finished, error, etc.). Manually cancelled jobs are normalized to manually_cancelled in v2 responses even though they are stored internally as error.
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Nexrender Cloud Documentation","colors":{"primary":"#A06BC6","light":"#A06BC6","dark":"#A06BC6"},"logo":{"light":"https://mintcdn.com/nexrender/hhU8sut1bRm3T6o4/logo/nx-text-logo-dark.png?fit=max\u0026auto=format\u0026n=hhU8sut1bRm3T6o4\u0026q=85\u0026s=dfd4191163c2c6667fef64145f151792","dark":"https://mintcdn.com/nexrender/hhU8sut1bRm3T6o4/logo/nx-text-logo-light.png?fit=max\u0026auto=format\u0026n=hhU8sut1bRm3T6o4\u0026q=85\u0026s=1c2c9518add002354ffa95e3e3c7a7d9"},"favicon":"https://mintcdn.com/nexrender/EcfHHWVlIZh_8xU2/favicon.svg?fit=max\u0026auto=format\u0026n=EcfHHWVlIZh_8xU2\u0026q=85\u0026s=1924353b78c21a7935bd1746cd89f54f","navbar":{"links":[{"href":"mailto:support@nexrender.com","label":"Support"}],"primary":{"type":"button","label":"Dashboard","href":"https://app.nexrender.com"}},"footer":{"socials":{"github":"https://github.com/inlife/nexrender","linkedin":"https://www.linkedin.com/company/nexrender"}},"icons":{"library":"lucide"},"integrations":{"ga4":{"measurementId":"G-WR9FJ0LMZF"}},"contextual":{"options":["copy","view","chatgpt","claude","perplexity","mcp","cursor","vscode"],"display":"header"},"styling":{"latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"nexrender","hasAudioNarration":false,"actualSubdomain":"nexrender","customDomains":["www.nexrender.com"],"gitSource":{"type":"github","owner":"nexrender","repo":"docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6aec760ce4c7d04cf75db869","collectionId":"9f05b1c7-91c2-4293-934e-dc542921677b","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6aec760ce4c7d04cf75db869"},"feedback":{"thumbs":true},"entitlements":{"AI_CHAT":{"status":"DISABLED"}},"buildId":"6aee2e264756570ea998ae6d","clientVersion":"0.0.4076","searchFilterCounts":[{"language":"default","tag":"Documentation","count":37},{"language":"default","tag":"API Reference","count":29},{"language":"default","tag":"Rendering Jobs","count":28},{"language":"default","tag":"Templates Management","count":11},{"language":"default","tag":"Functions","count":9},{"language":"default","tag":"Fonts Management","count":8},{"language":"default","tag":"Essentials","count":7},{"language":"default","tag":"Managing Templates","count":5},{"language":"default","tag":"Batch Jobs","count":3},{"language":"default","tag":"Secrets Management","count":3}]},"assistantConfig":{},"basePath":"/docs","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"cloud/jobs/tracking_renders","slug":"/cloud/jobs/tracking_renders","pageMetadata":{"title":"Tracking Render Jobs","description":"Poll job status, list jobs with filters, and receive webhook callbacks when rendering completes","openapi":"GET /jobs/{id}","href":"/cloud/jobs/tracking_renders"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Poll job status, list jobs with filters, and receive webhook callbacks when rendering completes\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={code:`code`,li:`li`,p:`p`,pre:`pre`,span:`span`,tbody:`tbody`,td:`td`,th:`th`,thead:`thead`,tr:`tr`,ul:`ul`,..._provideComponents(),...props.components},{CodeBlock,CodeGroup,Heading,Note,Table}=_components;if(!CodeBlock)_missingMdxReference(`CodeBlock`,true);if(!CodeGroup)_missingMdxReference(`CodeGroup`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!Note)_missingMdxReference(`Note`,true);if(!Table)_missingMdxReference(`Table`,true);return _jsxs(_Fragment,{children:[_jsx(Heading,{level:`2`,id:`job-status-lifecycle`,children:`Job Status Lifecycle`}),`\n`,_jsxs(Table,{children:[_jsx(_components.thead,{children:_jsxs(_components.tr,{children:[_jsx(_components.th,{children:`Status`}),_jsx(_components.th,{children:`Description`})]})}),_jsxs(_components.tbody,{children:[_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`queued`})}),_jsx(_components.td,{children:`Waiting to be picked up by a render worker`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`pending`})}),_jsx(_components.td,{children:`Parent job waiting for child jobs to finish (nested jobs only)`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`render:dorender`})}),_jsx(_components.td,{children:`Actively rendering`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`finished`})}),_jsxs(_components.td,{children:[`Render complete - `,_jsx(_components.code,{children:`outputUrl`}),` is available`]})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`error`})}),_jsxs(_components.td,{children:[`Render failed - see the `,_jsx(_components.code,{children:`error`}),` field for details`]})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`manually_cancelled`})}),_jsx(_components.td,{children:`Job was cancelled via the API`})]})]})]}),`\n`,_jsx(Heading,{level:`2`,id:`poll-a-single-job`,children:`Poll a Single Job`}),`\n`,_jsxs(_components.p,{children:[`Fetch the current state of a job at any time with `,_jsx(_components.code,{children:`GET /jobs/:id`}),`.`]}),`\n`,_jsxs(CodeGroup,{children:[_jsx(CodeBlock,{filename:`Request`,numberOfLines:`2`,language:`shellscript`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`shellscript`,children:_jsxs(_components.code,{language:`shellscript`,numberOfLines:`2`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#DCDCAA`},children:`curl`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -X`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` GET`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` https://api.nexrender.com/api/v2/jobs/01JTRDF7HCR8QAHYW8GPCP4S9Y`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -H`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"Authorization: Bearer YOUR_API_KEY\"`})]}),`\n`]})})}),_jsx(CodeBlock,{filename:`Response`,numberOfLines:`11`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`11`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"01JTRDF7HCR8QAHYW8GPCP4S9Y\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"status\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"finished\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"progress\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`100`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"outputUrl\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"https://nx1-outputs-eu.nexrender.com/.../job.mp4\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"stats\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"createdAt\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"2025-05-14T12:00:00.000Z\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"finishedAt\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"2025-05-14T12:00:22.304Z\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"renderDuration\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`22.304`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})})]}),`\n`,_jsx(Heading,{level:`2`,id:`list-jobs`,children:`List Jobs`}),`\n`,_jsxs(_components.p,{children:[`Use `,_jsx(_components.code,{children:`GET /jobs`}),` to fetch multiple jobs at once, with optional filters for status, date range, and sort order.`]}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`2`,language:`shellscript`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`shellscript`,children:_jsxs(_components.code,{language:`shellscript`,numberOfLines:`2`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#DCDCAA`},children:`curl`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -X`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` GET`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"https://api.nexrender.com/api/v2/jobs?states=queued,render:dorender\u0026limit=50\u0026sort=oldest_first\"`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -H`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"Authorization: Bearer YOUR_API_KEY\"`})]}),`\n`]})})}),`\n`,_jsx(Heading,{level:`3`,id:`query-parameters`,children:`Query Parameters`}),`\n`,_jsxs(Table,{children:[_jsx(_components.thead,{children:_jsxs(_components.tr,{children:[_jsx(_components.th,{children:`Parameter`}),_jsx(_components.th,{children:`Type`}),_jsx(_components.th,{children:`Description`})]})}),_jsxs(_components.tbody,{children:[_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`states`})}),_jsx(_components.td,{children:`string`}),_jsxs(_components.td,{children:[`Comma-separated list of statuses to include (e.g. `,_jsx(_components.code,{children:`queued,finished`}),`)`]})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`exclude_states`})}),_jsx(_components.td,{children:`string`}),_jsx(_components.td,{children:`Comma-separated list of statuses to exclude`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`from`})}),_jsx(_components.td,{children:`integer`}),_jsx(_components.td,{children:`Pagination offset (0-indexed)`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`limit`})}),_jsx(_components.td,{children:`integer`}),_jsx(_components.td,{children:`Max jobs to return (1-1000)`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`from_date`})}),_jsx(_components.td,{children:`string`}),_jsx(_components.td,{children:`Filter jobs created after this ISO 8601 date`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`to_date`})}),_jsx(_components.td,{children:`string`}),_jsx(_components.td,{children:`Filter jobs created before this ISO 8601 date`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`sort`})}),_jsx(_components.td,{children:`string`}),_jsxs(_components.td,{children:[_jsx(_components.code,{children:`oldest_first`}),` (default), `,_jsx(_components.code,{children:`newest_first`}),`, `,_jsx(_components.code,{children:`random`}),`, or `,_jsx(_components.code,{children:`priority`})]})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`tags`})}),_jsx(_components.td,{children:`string`}),_jsx(_components.td,{children:`Comma-separated tags to filter by`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`minimal`})}),_jsx(_components.td,{children:`boolean`}),_jsx(_components.td,{children:`Return stripped-down job objects (excludes stats and assets) for faster responses`})]})]})]}),`\n`,_jsx(Heading,{level:`2`,id:`webhooks-recommended`,children:`Webhooks (Recommended)`}),`\n`,_jsx(_components.p,{children:`Rather than polling, configure a webhook on the job to receive a notification the moment rendering completes or fails.`}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`6`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`6`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"template\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: { `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"YOUR_TEMPLATE_ID\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"composition\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"main\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"webhook\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"url\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"https://yourdomain.com/webhooks/render-complete\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})}),`\n`,_jsxs(_components.p,{children:[`Nexrender will `,_jsx(_components.code,{children:`POST`}),` the full job payload to your endpoint when the job reaches a terminal state.`]}),`\n`,_jsxs(CodeGroup,{children:[_jsx(CodeBlock,{filename:`Webhook Payload (finished)`,numberOfLines:`9`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`9`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"01JTRDF7HCR8QAHYW8GPCP4S9Y\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"status\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"finished\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"outputUrl\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"https://nx1-outputs-eu.nexrender.com/.../job.mp4\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"stats\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"finishedAt\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"2025-08-14T08:01:10.304Z\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"renderDuration\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`22.304`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})}),_jsx(CodeBlock,{filename:`Webhook Payload (error)`,numberOfLines:`8`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`8`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"01JTRDF7HCR8QAHYW8GPCP4S9Y\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"status\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"error\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"stats\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"errorAt\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"2025-08-14T09:12:45.799Z\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"error\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Layer 'title' not found in composition 'main'\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})})]}),`\n`,_jsx(Note,{children:_jsxs(_components.p,{children:[`Your webhook endpoint must return a `,_jsx(_components.code,{children:`2xx`}),` response. Make it idempotent - Nexrender retries failed deliveries up to 3 times with exponential backoff.`]})}),`\n`,_jsx(Heading,{level:`3`,id:`webhook-retry-logic`,children:`Webhook Retry Logic`}),`\n`,_jsx(_components.p,{children:`If your server is unavailable or returns a non-2xx response, Nexrender retries delivery up to 3 times with exponential backoff. To maximise reliability:`}),`\n`,_jsxs(_components.ul,{children:[`\n`,_jsxs(_components.li,{children:[`Respond with `,_jsx(_components.code,{children:`200 OK`}),` immediately and process the payload asynchronously`]}),`\n`,_jsx(_components.li,{children:`Keep response time under 2 seconds to avoid timeout-triggered retries`}),`\n`,_jsx(_components.li,{children:`Log all incoming webhook payloads for auditability`}),`\n`]}),`\n`,_jsx(Heading,{level:`2`,id:`api-reference`,children:`API Reference`})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Tracking Render Jobs","description":"Poll job status, list jobs with filters, and receive webhook callbacks when rendering completes","openapi":"GET /jobs/{id}","href":"/cloud/jobs/tracking_renders"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[{"title":"Job Status Lifecycle","slug":"job-status-lifecycle","depth":2,"children":[]},{"title":"Poll a Single Job","slug":"poll-a-single-job","depth":2,"children":[]},{"title":"List Jobs","slug":"list-jobs","depth":2,"children":[{"title":"Query Parameters","slug":"query-parameters","depth":3,"children":[]}]},{"title":"Webhooks (Recommended)","slug":"webhooks-recommended","depth":2,"children":[{"title":"Webhook Retry Logic","slug":"webhook-retry-logic","depth":3,"children":[]}]},{"title":"API Reference","slug":"api-reference","depth":2,"children":[]}],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"summary":"Get job details","description":"Poll job status, list jobs with filters, and receive webhook callbacks when rendering completes","x-mint":{"mcp":{"enabled":true,"name":"get-job","description":"Get detailed job information, including current status, progress percentage, render timings, and output URL."}},"parameters":["77fa142d-dd59-43e5-9552-1cab19cbd2fc"],"responses":{"200":"0bdc14c3-eb00-46de-b32f-6a2d02d8f85d","401":"656ff4ed-e949-4ef6-b703-8f7e3b92b841","404":"fc2709e8-c571-4c65-933b-1f6fd829b863"},"tags":["Render Management"],"operationId":"getJob","method":"get","type":"path","servers":["b26400f0-8fbd-4eb4-b804-72ddbb27854e"],"security":["7c33546e-cfd6-4b5d-9793-a4f2e17ef296"],"path":"/jobs/{id}","baseUrlOptions":["https://api.nexrender.com/api/v2"],"title":"Get job details","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"77fa142d-dd59-43e5-9552-1cab19cbd2fc":{"in":"path","name":"id","required":true,"description":"Unique job identifier","schema":{"type":"string","isRequired":true,"description":"Unique job identifier","uniqueKey":"","typeLabel":"string"}}},"responses":{"0bdc14c3-eb00-46de-b32f-6a2d02d8f85d":{"description":"Successfully retrieved job details","content":{"application/json":{"schema":{"type":"object","description":"Render job with current status, progress, and detailed statistics","properties":{"id":{"type":"string","description":"Unique job identifier used for tracking and API operations","uniqueKey":"id","typeLabel":"string"},"templateId":{"oneOf":[{"type":"string","description":"Reference to the template used for this job (null if template was not used)","uniqueKey":"templateId.oneOf.0","typeLabel":"string"},{"type":"null","description":"Reference to the template used for this job (null if template was not used)","uniqueKey":"templateId.oneOf.1","typeLabel":"null"}],"uniqueKey":"templateId","typeLabel":"string | null"},"status":{"type":"string","description":"Current job status (queued, render:dorender, finished, error, etc.). Manually cancelled jobs are normalized to `manually_cancelled` in v2 responses even though they are stored internally as `error`.","uniqueKey":"status","typeLabel":"string"},"progress":{"type":"number","format":"float","description":"Render progress as a percentage (0.0 to 100.0)","uniqueKey":"progress","typeLabel":"number\u003cfloat>"},"stats":{"type":"object","description":"Detailed timing and metadata statistics for the job","properties":{"createdAt":{"type":"string","format":"date-time","description":"ISO timestamp when the job was initially created","uniqueKey":"stats.createdAt","typeLabel":"string\u003cdate-time>"},"updatedAt":{"type":"string","format":"date-time","description":"ISO timestamp of the most recent job status update","uniqueKey":"stats.updatedAt","typeLabel":"string\u003cdate-time>"},"startedAt":{"oneOf":[{"type":"string","format":"date-time","description":"ISO timestamp when job processing began (null if not started)","uniqueKey":"stats.startedAt.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","format":"date-time","description":"ISO timestamp when job processing began (null if not started)","uniqueKey":"stats.startedAt.oneOf.1","typeLabel":"null"}],"uniqueKey":"stats.startedAt","typeLabel":"string\u003cdate-time> | null"},"finishedAt":{"oneOf":[{"type":"string","format":"date-time","description":"ISO timestamp when job completed successfully (null if not finished)","uniqueKey":"stats.finishedAt.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","format":"date-time","description":"ISO timestamp when job completed successfully (null if not finished)","uniqueKey":"stats.finishedAt.oneOf.1","typeLabel":"null"}],"uniqueKey":"stats.finishedAt","typeLabel":"string\u003cdate-time> | null"},"errorAt":{"oneOf":[{"type":"string","format":"date-time","description":"ISO timestamp when job encountered an error (null if no error)","uniqueKey":"stats.errorAt.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","format":"date-time","description":"ISO timestamp when job encountered an error (null if no error)","uniqueKey":"stats.errorAt.oneOf.1","typeLabel":"null"}],"uniqueKey":"stats.errorAt","typeLabel":"string\u003cdate-time> | null"},"totalAssets":{"type":"integer","description":"Total number of assets included in this job","uniqueKey":"stats.totalAssets","typeLabel":"integer"},"renderDuration":{"oneOf":[{"type":"number","format":"float","description":"Total render time in seconds (null if not completed)","uniqueKey":"stats.renderDuration.oneOf.0","typeLabel":"number\u003cfloat>"},{"type":"null","format":"float","description":"Total render time in seconds (null if not completed)","uniqueKey":"stats.renderDuration.oneOf.1","typeLabel":"null"}],"uniqueKey":"stats.renderDuration","typeLabel":"number\u003cfloat> | null"},"error":{"oneOf":[{"type":"string","description":"Error message if job failed (null if successful)","uniqueKey":"stats.error.oneOf.0","typeLabel":"string"},{"type":"null","description":"Error message if job failed (null if successful)","uniqueKey":"stats.error.oneOf.1","typeLabel":"null"}],"uniqueKey":"stats.error","typeLabel":"string | null"}},"uniqueKey":"stats","typeLabel":"object"},"outputUrl":{"oneOf":[{"type":"string","description":"URL to the rendered content","uniqueKey":"outputUrl.oneOf.0","typeLabel":"string"},{"type":"null","description":"URL to the rendered content","uniqueKey":"outputUrl.oneOf.1","typeLabel":"null"}],"uniqueKey":"outputUrl","typeLabel":"string | null"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"id":"\u003cstring>","templateId":"\u003cstring>","status":"\u003cstring>","progress":123,"stats":{"createdAt":"2023-11-07T05:31:56Z","updatedAt":"2023-11-07T05:31:56Z","startedAt":"2023-11-07T05:31:56Z","finishedAt":"2023-11-07T05:31:56Z","errorAt":"2023-11-07T05:31:56Z","totalAssets":123,"renderDuration":123,"error":"\u003cstring>"},"outputUrl":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"},"656ff4ed-e949-4ef6-b703-8f7e3b92b841":{"description":"Unauthorized - invalid or missing API token","content":{"application/json":{"schema":{"type":"object","description":"Standard error response format","properties":{"error":{"type":"string","description":"Human-readable error message explaining what went wrong","isRequired":true,"uniqueKey":"error","typeLabel":"string"}},"required":["error"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"},"fc2709e8-c571-4c65-933b-1f6fd829b863":{"description":"Job not found - the specified job ID does not exist","content":{"application/json":{"schema":{"type":"object","description":"Standard error response format","properties":{"error":{"type":"string","description":"Human-readable error message explaining what went wrong","isRequired":true,"uniqueKey":"error","typeLabel":"string"}},"required":["error"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{"7c33546e-cfd6-4b5d-9793-a4f2e17ef296":{"apiToken":{"type":"http","scheme":"bearer","description":"Bearer token authentication using API tokens for team-based access control.\n\nYou can generate your own API token at: https://app.nexrender.com/settings/api-tokens\n","scopes":[],"schemeName":"apiToken"}}},"servers":{"b26400f0-8fbd-4eb4-b804-72ddbb27854e":{"url":"https://api.nexrender.com/api/v2","description":"Production API server"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","scheme":"bearer","description":"Bearer token authentication using API tokens for team-based access control.\n\nYou can generate your own API token at: https://app.nexrender.com/settings/api-tokens\n","scopes":[],"schemeName":"apiToken"},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Bearer token authentication using API tokens for team-based access control.\n\nYou can generate your own API token at: https://app.nexrender.com/settings/api-tokens\n","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"apiToken","name":"Authorization"}],"title":"apiToken"}]},"originalFileLocation":"openapi.json"},"subdomain":"nexrender","siteName":"Nexrender Cloud Documentation","title":"Tracking Render Jobs - Nexrender Cloud Documentation","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-04-22T11:22:02.044Z","originalFileLocation":"cloud/jobs/tracking_renders.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Poll job status, list jobs with filters, and receive webhook callbacks when rendering completes\">\u003cmeta data-mint-head name=\"application-name\" content=\"Nexrender Cloud Documentation\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/docs/mintlify-assets/_mintlify/favicons/nexrender/VfYtARxiRd08ZM8o/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/docs/mintlify-assets/_mintlify/favicons/nexrender/VfYtARxiRd08ZM8o/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/docs/mintlify-assets/_mintlify/favicons/nexrender/VfYtARxiRd08ZM8o/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/docs/mintlify-assets/_mintlify/favicons/nexrender/VfYtARxiRd08ZM8o/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/docs/mintlify-assets/_mintlify/favicons/nexrender/VfYtARxiRd08ZM8o/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/docs/mintlify-assets/_mintlify/favicons/nexrender/VfYtARxiRd08ZM8o/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/docs/mintlify-assets/_mintlify/favicons/nexrender/VfYtARxiRd08ZM8o/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/docs/mintlify-assets/_mintlify/favicons/nexrender/VfYtARxiRd08ZM8o/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/docs/mintlify-assets/_mintlify/favicons/nexrender/VfYtARxiRd08ZM8o/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Tracking Render Jobs - Nexrender Cloud Documentation\">\u003cmeta data-mint-head property=\"og:description\" content=\"Poll job status, list jobs with filters, and receive webhook callbacks when rendering completes\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Nexrender Cloud Documentation\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://www.nexrender.com/docs/cloud/jobs/tracking_renders\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://nexrender.mintlify.site/docs/_mintlify/api/og/v2?division=Rendering+Jobs\u0026amp;title=Tracking+Render+Jobs\u0026amp;description=Poll+job+status%2C+list+jobs+with+filters%2C+and+receive+webhook+callbacks+when+rendering+completes\u0026amp;theme=925e007d6b0f78ad7b8f0c04\u0026amp;signature=c2652425c9aa20f4b50e60be109da73e8f499ffef985103499a28d1ebda81e8f\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Tracking Render Jobs - Nexrender Cloud Documentation\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Poll job status, list jobs with filters, and receive webhook callbacks when rendering completes\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://nexrender.mintlify.site/docs/_mintlify/api/og/v2?division=Rendering+Jobs\u0026amp;title=Tracking+Render+Jobs\u0026amp;description=Poll+job+status%2C+list+jobs+with+filters%2C+and+receive+webhook+callbacks+when+rendering+completes\u0026amp;theme=925e007d6b0f78ad7b8f0c04\u0026amp;signature=c2652425c9aa20f4b50e60be109da73e8f499ffef985103499a28d1ebda81e8f\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/docs/mintlify-assets/_mintlify/favicons/nexrender/VfYtARxiRd08ZM8o/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Nexrender Cloud Documentation\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#A06BC6\">\u003clink data-mint-head rel=\"canonical\" href=\"https://www.nexrender.com/docs/cloud/jobs/tracking_renders\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/docs/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/docs/cloud/jobs/tracking_renders.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://www.nexrender.com/#organization\",\"name\":\"Nexrender Cloud Documentation\",\"url\":\"https://www.nexrender.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/nexrender/hhU8sut1bRm3T6o4/logo/nx-text-logo-dark.png?fit=max\u0026auto=format\u0026n=hhU8sut1bRm3T6o4\u0026q=85\u0026s=dfd4191163c2c6667fef64145f151792\"}},{\"@type\":\"WebSite\",\"@id\":\"https://www.nexrender.com/docs#website\",\"name\":\"Nexrender Cloud Documentation\",\"url\":\"https://www.nexrender.com/docs\",\"publisher\":{\"@id\":\"https://www.nexrender.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://www.nexrender.com/docs/cloud/jobs/tracking_renders#webpage\",\"url\":\"https://www.nexrender.com/docs/cloud/jobs/tracking_renders\",\"name\":\"Tracking Render Jobs\",\"description\":\"Poll job status, list jobs with filters, and receive webhook callbacks when rendering completes\",\"dateModified\":\"2026-04-22T11:22:02.044Z\",\"isPartOf\":{\"@id\":\"https://www.nexrender.com/docs#website\"},\"breadcrumb\":{\"@id\":\"https://www.nexrender.com/docs/cloud/jobs/tracking_renders#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://www.nexrender.com/docs/cloud/jobs/tracking_renders#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Rendering Jobs\",\"item\":\"https://www.nexrender.com/docs/cloud/jobs/rendering_basics\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Tracking Render Jobs\",\"item\":\"https://www.nexrender.com/docs/cloud/jobs/tracking_renders\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://www.nexrender.com/docs/cloud/jobs/tracking_renders#apireference\",\"headline\":\"Tracking Render Jobs\",\"name\":\"Tracking Render Jobs\",\"description\":\"Poll job status, list jobs with filters, and receive webhook callbacks when rendering completes\",\"url\":\"https://www.nexrender.com/docs/cloud/jobs/tracking_renders\",\"mainEntityOfPage\":{\"@id\":\"https://www.nexrender.com/docs/cloud/jobs/tracking_renders#webpage\"},\"dateModified\":\"2026-04-22T11:22:02.044Z\",\"publisher\":{\"@id\":\"https://www.nexrender.com/#organization\"},\"isPartOf\":{\"@id\":\"https://www.nexrender.com/docs#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Nexrender Cloud Documentation\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Nexrender Cloud Documentation","nav":{"global":null,"tabs":[{"tab":"Documentation","icon":"book-open","groups":[{"group":"Essentials","pages":[{"title":"Nexrender Cloud Introduction","sidebarTitle":"Introduction","icon":"power","href":"/cloud/introduction"},{"title":"Quickstart","icon":"fast-forward","href":"/cloud/quickstart"},{"title":"Core Concepts","icon":"map","href":"/cloud/concepts"},{"title":"Clean Room Setup","icon":"shield","href":"/cloud/clean_room"},{"title":"Whitelisting Nexrender IPs","icon":"book-open-check","href":"/cloud/troubleshooting/ip_whitelisting"},{"title":"Automation Recipes","icon":"cooking-pot","href":"/cloud/recipes"},{"title":"Agentic Workflows","icon":"bot","href":"/cloud/agentic-workflows"}]},{"group":"Managing Templates","pages":[{"title":"Templates Basics","icon":"clapperboard","href":"/cloud/templates/basics"},{"title":"Best Practice","icon":"target","href":"/cloud/templates/best_practice"},{"title":"Template Registration","openapi":"POST /templates","href":"/cloud/templates/register_template"},{"title":"Inspecting Templates","openapi":"GET /v3/templates/{id}","href":"/cloud/templates/inspecting"},{"title":"Deleting Templates","openapi":"DELETE /templates/{id}","href":"/cloud/templates/deleting"}]},{"group":"Rendering Jobs","pages":[{"title":"Rendering Jobs Basics","icon":"microchip","href":"/cloud/jobs/rendering_basics"},{"title":"Initiating Renders","openapi":"POST /jobs","href":"/cloud/jobs/initiating_renders"},{"title":"Upload Rendering Results","icon":"cloud-upload","href":"/cloud/jobs/upload_renders"},{"title":"Render Settings","description":"Control output format, codec, quality, frame range, engine version, and Multi-Frame Rendering for every render job","icon":"sliders-horizontal","href":"/cloud/jobs/rendering_settings"},{"title":"Tracking Render Jobs","openapi":"GET /jobs/{id}","href":"/cloud/jobs/tracking_renders"},{"title":"Batch Jobs","description":"Submit up to 1,000 render jobs in a single API request and track them as a group","openapi":"POST /batches","href":"/cloud/jobs/batch_jobs"},{"title":"Cancelling Jobs","openapi":"PATCH /jobs/{id}/cancel","href":"/cloud/jobs/job_cancel"},{"title":"Secrets Management","openapi":"PUT /secrets","href":"/cloud/jobs/secrets"},{"title":"Nested Jobs","icon":"brackets","href":"/cloud/jobs/nested_jobs"},{"title":"Join Jobs","icon":"merge","href":"/cloud/jobs/join_job"},{"title":"Handling Rendering Errors","icon":"ticket-x","href":"/cloud/jobs/handling_errors"},{"title":"Advanced Rendering Practices","icon":"boxes","href":"/cloud/jobs/rendering_best_practice"},{"group":"Functions","icon":"code","pages":[{"title":"nx:comp-duration-set","icon":"clock","href":"/cloud/jobs/functions/nx-comp-duration-set"},{"title":"nx:layer-autoscale","icon":"expand","href":"/cloud/jobs/functions/nx-layer-autoscale"},{"title":"nx:layer-duration-set","icon":"timer","href":"/cloud/jobs/functions/nx-layer-duration-set"},{"title":"nx:layer-remove","icon":"trash","href":"/cloud/jobs/functions/nx-layer-remove"},{"title":"nx:layer-start-set","icon":"play","href":"/cloud/jobs/functions/nx-layer-start-set"},{"title":"nx:layer-state-set","icon":"eye","href":"/cloud/jobs/functions/nx-layer-state-set"},{"title":"nx:solid-color-set","icon":"palette","href":"/cloud/jobs/functions/nx-solid-color-set"},{"title":"nx:text-params-set","icon":"type","href":"/cloud/jobs/functions/nx-text-params-set"},{"title":"nx:genai","icon":"wand-magic-sparkles","href":"/cloud/jobs/functions/nx-gen-ai"}]}]},{"group":"Fonts Management","pages":[{"title":"Uploading Fonts","openapi":"POST /fonts","href":"/cloud/fonts/upload"},{"title":"Listing All Fonts","openapi":"GET /fonts","href":"/cloud/fonts/list"},{"title":"Deleting Fonts","openapi":"DELETE /fonts/{id}","href":"/cloud/fonts/delete"},{"title":"Fonts Usage","icon":"check","href":"/cloud/fonts/use"}]}]},{"tab":"API Reference","icon":"square-terminal","pages":[{"title":"API Reference","href":"/api-reference/template-management/list-all-templates-deprecated"}]},{"tab":"Changelog","icon":"history","pages":[{"title":"Changelog","href":"/cloud/changelog"}]}]},"basePath":"","title":"Tracking Render Jobs - Nexrender Cloud Documentation","buildId":"dpl_ATnXPMW25DMPUr9VBw6kL6MfBt6T","deploymentId":"dpl_ATnXPMW25DMPUr9VBw6kL6MfBt6T","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-CNqlzjVB.js","utils-BqFiXZ79.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-CnR4QBe6.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-BY2ZM1OO.js","snippetPresets-x-8ACO8V.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-Ch-SJE05.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-CqqG_0NE.js","shallow-BXrZ2b0C.js","getApiPlaygroundDisplay-n7J_wkjq.js","CodeSnippet-CQsp4vyQ.js","CodeSnippets-BfuHqvZx.js","Page-CTxrMSpo.js","getPastedJson-BjrGIK1i.js","icon-7iLZnVOC.js","MethodPill-TBS1m84e.js","DuplicateIcon-BNMrV4Vs.js","createIcon-C5kCqeU2.js","DynamicMarkdown-Bq09mRwR.js","SectionHeading-G4Bflf5Q.js","axios-vUo_bRtp.js","Markdown-BTUds0aX.js","clsx-6wHzaN2_.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-BPypQKlo.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-o6bee4ro.js"]}